# module Reline

### Constants

CursorPos
DEFAULT_DIALOG_CONTEXT
DEFAULT_DIALOG_PROC_AUTOCOMPLETE
DialogRenderInfo
FILENAME_COMPLETION_PROC

  NOTE: For making compatible with the rb-readline gem

GeneralIO

  Deprecated

HISTORY
IOGate
Key

  EOF key: { char: nil, method_symbol: nil } Other key: { char: `String`, method_symbol: `Symbol` }

USERNAME_COMPLETION_PROC
VERSION

### Public Class Methods

core ()
Source

    # File lib/reline.rb, line 486
    def self.core
      @core ||= Core.new { |core|
        core.config = Reline::Config.new
        core.key_stroke = Reline::KeyStroke.new(core.config, core.encoding)
        core.line_editor = Reline::LineEditor.new(core.config)

        core.basic_word_break_characters = " \t\n`><=;|&{("
        core.completer_word_break_characters = " \t\n`><=;|&{("
        core.basic_quote_characters = '"\''
        core.completer_quote_characters = '"\''
        core.filename_quote_characters = ""
        core.special_prefixes = ""
        core.add_dialog_proc(:autocomplete, Reline::DEFAULT_DIALOG_PROC_AUTOCOMPLETE, Reline::DEFAULT_DIALOG_CONTEXT)
      }
    end

encoding_system_needs ()
Source

    # File lib/reline.rb, line 482
    def self.encoding_system_needs
      self.core.encoding
    end

insert_text (text)
Source

    # File lib/reline.rb, line 463
    def self.insert_text(text)
      line_editor.insert_multiline_text(text)
      self
    end

line_editor ()
Source

    # File lib/reline.rb, line 506
    def self.line_editor
      core.line_editor
    end

ungetc (c)
Source

    # File lib/reline.rb, line 502
    def self.ungetc(c)
      core.io_gate.ungetc(c)
    end